=== debian/changelog ===
wxmaxima (18.10.2-1) unstable; urgency=medium

  * A new upstream version that comes with many bugfixes, features and
    performance improvements.
  * Updated the Homepage and the main upstream contact of the program.
  * Dropped all the patches as they are incorporated in the new upstream
  * release.
  * Raised the debhelper compatibility level (and min version) to 11
  * debian info: Promoted several URLs from http to https
  * debian packaging: Removed the unneeded get-orig-source target.
  * debian packaging: Added an vcs-browser field.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Mon, 22 Oct 2018 08:12:36 +0100
