=== debian/watch ===
version=4
https://github.com/wxMaxima-developers/wxmaxima/tags .*/Version-(\d{2}.\d{2}.\d|\d{2}.\d.\d).tar.gz
