## wxmaxima 18.11.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,20 @@
-cmake_minimum_required(VERSION 3.4)
-
 project(wxmaxima)
-
-set(VERSION 18.10.0.unofficial)
+set(VERSION 18.11.1)
 set(PACKAGE_VERSION ${VERSION})
 set(GITVERSION ${VERSION})
 set(PACKAGE wxMaxima)
+
+#SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pg")
+#SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pg")
+#SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -pg")
+
+# Avoid a warning by deciding which version of this policy we use in case we can
+# decide this.
+if(POLICY CMP0066)
+   cmake_policy(SET CMP0066 NEW)
+endif()
+
+cmake_minimum_required(VERSION 3.4)
 
 # Turn off many warnings wxWidgets triggers on MSVC
 if(MSVC)
