=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,24 @@
-find_package(wxWidgets REQUIRED std xml html adv aui core net base richtext)
+find_package(wxWidgets 3 REQUIRED std xml html adv aui core net base richtext)
 
 include(${wxWidgets_USE_FILE})
 
 file(GLOB SOURCE_FILES *.cpp *.h)
 
+# We provide our own manifest. MSVC seems not to autodetect that.
+if(MSVC)
+  message(STATUS "MSVC detected => Trying to disable the inclusion of the automatic manifest.")
+  set(CMAKE_EXE_LINKER_FLAGS_RELEASE    "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /MANIFEST:NO")
+  set(CMAKE_MODULE_LINKER_FLAGS_RELEASE "${CMAKE_MODULE_LINKER_FLAGS_RELEASE} /MANIFEST:NO")
+  set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /MANIFEST:NO")
+  set(CMAKE_EXE_LINKER_FLAGS_DEBUG    "${CMAKE_EXE_LINKER_FLAGS_DEBUG} /MANIFEST:NO")
+  set(CMAKE_MODULE_LINKER_FLAGS_DEBUG "${CMAKE_MODULE_LINKER_FLAGS_DEBUG} /MANIFEST:NO")
+  set(CMAKE_SHARED_LINKER_FLAGS_DEBUG "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} /MANIFEST:NO")
+endif()
 
+# Include our Resources file that contains our manifest
 if(WIN32)
-    include_directories(${CMAKE_SOURCE_DIR}/data/winrc)
-    set(SOURCE_FILES Resources.rc ${SOURCE_FILES})
+  include_directories(${CMAKE_SOURCE_DIR}/data/winrc)
+  set(SOURCE_FILES Resources.rc ${SOURCE_FILES})
 endif()
 
 # We put Version.h into binary dir
@@ -19,8 +30,8 @@
   file(GLOB RESOURCES_FILES
     ${CMAKE_BINARY_DIR}/data/wxmathml.lisp
     ${CMAKE_SOURCE_DIR}/test/testbench_simple.wxmx
-    ${CMAKE_SOURCE_DIR}/data/wxmaxima.png
-    ${CMAKE_SOURCE_DIR}/data/wxmaxima.svg)
+    ${CMAKE_SOURCE_DIR}/data/io.github.wxmaxima_developers.wxMaxima.png
+    ${CMAKE_SOURCE_DIR}/data/io.github.wxmaxima_developers.wxMaxima.svg)
   file(GLOB RESOURCES_FILES_OSX
     ${CMAKE_SOURCE_DIR}/art/wxmac.icns
     ${CMAKE_SOURCE_DIR}/art/wxmac-doc.icns
@@ -71,7 +82,7 @@
         COMMAND ${CMAKE_COMMAND} -E copy ${f} ${APP_FONTS_DIR})
     endforeach()
 endif()
-
+ 
 if(WIN32)
     add_executable(wxmaxima WIN32 ${SOURCE_FILES})
 elseif(APPLE)
