=== debian/changelog ===
wxmaxima (19.01.2-1) unstable; urgency=medium

  * A new upstream version that mainly corrects cell heights.
  * Updated debian/compat and the respective dependency in debian/control
  * Re-exported the signing key in order to silence a lintian warning
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 13 Jan 2019 13:10:36 +0100

wxmaxima (18.12.0-1) unstable; urgency=medium

  * A new upstream version that provides many bugfixes and big
    performance improvements.
  * Added uscan rule and gpg signature for verifying the tarball integrity
  * Added an debian/upstream/metadata file
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Mon, 24 Dec 2018 23:37:36 +0100

wxmaxima (18.11.4-1) unstable; urgency=medium

  * A new upstream version that comes with many bugfixes and
    performance improvements.
  * Corrected the homepage field.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Mon, 26 Nov 2018 07:56:36 +0100
