=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Gunter Königsmann <wxmaxima@physikbuch.de>
-Build-Depends: debhelper (>= 11), cmake, libwxgtk3.0-dev, gettext
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 12), cmake, libwxgtk3.0-dev, gettext
+Standards-Version: 4.3.0
 Vcs-Git: https://github.com/wxMaxima-developers/wxmaxima.git -b DebianPackaging
 Vcs-Browser: https://github.com/wxMaxima-developers/wxmaxima
-Homepage: https://wxMaxima-developers.github.com/wxmaxima/
+Homepage: http://wxmaxima-developers.github.io/wxmaxima/
 
 Package: wxmaxima
 Architecture: any
