## wxmaxima 19.07.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(wxmaxima)
-set(VERSION 19.01.2x)
+set(VERSION 19.07.0)
 set(PACKAGE_VERSION ${VERSION})
 set(GITVERSION ${VERSION})
 set(PACKAGE wxMaxima)
@@ -47,7 +47,6 @@
     set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_LINKER_FLAGS_RELEASE} -mmacosx-version-min=${MACOSX_VERSION_MIN}")
 endif()
 
-
 # Get the git version, if available.
 find_package(Git)
 if(Git_FOUND)
@@ -70,16 +69,14 @@
 
 if(WIN32)
     install(FILES COPYING README README.md DESTINATION wxMaxima/doc)
-    install(FILES test/testbench_simple.wxmx test/a.png test/b.png test/c.png test/d.png DESTINATION wxMaxima/data)
 else()
     install(FILES COPYING README README.md DESTINATION share/wxMaxima)
-    install(FILES test/testbench_simple.wxmx test/a.png test/b.png test/c.png test/d.png DESTINATION share/wxMaxima)
 endif()
 
 
 # allow local execution (./wxmaxima-local) from the build directory without installation
 if(UNIX)
-    file(COPY "${CMAKE_SOURCE_DIR}/src/wxmaxima-local" DESTINATION .)
+    configure_file("${CMAKE_SOURCE_DIR}/src/wxmaxima-local" wxmaxima-local)
 endif()
 # Build Packages
 set(CPACK_GENERATOR "TGZ;TBZ2")
@@ -157,3 +154,6 @@
     ${CMAKE_COMMAND} -DVERSION=${VERSION} -DCMAKE_SYSTEM_NAME=${CMAKE_SYSTEM_NAME} -P ${CMAKE_SOURCE_DIR}/checksums.cmake)
 
 include(CPack)
+
+enable_testing()
+add_subdirectory(test)
