=== src/CMakeLists.txt ===
--- 
+++ 
@@ -82,7 +82,7 @@
         COMMAND ${CMAKE_COMMAND} -E copy ${f} ${APP_FONTS_DIR})
     endforeach()
 endif()
- 
+
 if(WIN32)
     add_executable(wxmaxima WIN32 ${SOURCE_FILES})
 elseif(APPLE)
