=== debian/changelog ===
wxmaxima (19.07.0-1.1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:29:00 +0100

wxmaxima (19.07.0-1.1) unstable; urgency=medium

  * Non-maintainer upload with maintainers permission.
  * Update to build against GTK3 flavour of wxwidgets3.0. (Closes: #933429)

 -- Olly Betts <olly@survex.com>  Fri, 27 Sep 2019 09:06:45 +1200

wxmaxima (19.07.0-1) unstable; urgency=medium

  * A new upstream version.
  * ibus-gtk no longer is a hard requirement
  * Dropped all the patches as they have been upstreamed
  * The uscan receipe now specifies the .asc file URL more strictly
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Fri, 05 Jul 2019 09:00:36 +0100

wxmaxima (19.01.1-1) unstable; urgency=medium

  * A new upstream version that mainly corrects cell heights.
  * Re-exported the signing key in order to silence a lintian warning
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 20 Jan 2019 10:58:36 +0100
