=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Gunter Königsmann <wxmaxima@physikbuch.de>
-Build-Depends: debhelper (>= 12), cmake, libwxgtk3.0-dev, gettext
+Build-Depends: debhelper (>= 11), cmake, libwxgtk3.0-gtk3-dev, gettext
 Standards-Version: 4.3.0
 Vcs-Git: https://github.com/wxMaxima-developers/wxmaxima.git -b DebianPackaging
 Vcs-Browser: https://github.com/wxMaxima-developers/wxmaxima
@@ -10,9 +10,9 @@
 
 Package: wxmaxima
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-gtk3, maxima
+Depends: ${shlibs:Depends}, ${misc:Depends}, maxima
 Recommends: maxima-doc
-Suggests: fonts-jsmath, texlive-latex-extra
+Suggests: fonts-jsmath, texlive-latex-extra, ibus-gtk3
 Description: GUI for the computer algebra system Maxima
  wxMaxima is a graphical user interface for the computer algebra system
  Maxima. It eases the use of Maxima by making most of its commands available
