=== debian/watch ===
version=4
opts=pgpsigurlmangle=s#archive/(.*)\.tar\.gz#releases/download/$1/$1\.tar\.gz\.asc# \
    https://github.com/wxMaxima-developers/wxmaxima/tags .*/Version-(\d{2}.\d{2}.\d|\d{2}.\d.\d).tar.gz
